Subject: [ippm] measurement packet header and OWAMP-test

From: "STEPHAN Emile FTRD/DAC/LAN" <[email-masked]>
Date: Thu, 25 Jul 2002 18:57:28 +0200

Hi all,

To permit the infinite type-Ps, I consider that the test packet must not depend on the type-P and that a solution consists in inserting a block of fields (a measurement packet header, MPH) at the end of a regular packets. The IPPM REPORTING MIB considers all the type-P as valid. OWAMP-test limits the type-P to raw UDP packet. I am absolutely convince that is is possible to define a set of 'measurement packet header' respectful of the test packet format defined in the draft-ietf-ippm-owdp-04.txt.

The proposal I made (in progress !) in the memo draft-stephan-ippm-test-packet-00.txt have 3 constraints:
	+ consider the OWAMP-test packet as the basic measurement packet header;
	+ proposes standard extension which integrate OWAMP and IPPM REPORTING MIB needs;
	+ permits proprietary extension; 

This proposal is not looking for "a single required standardized format" but to standardize the current practices and as far as possible a few of the future need. 

The section "4.3. Protocol Separation" of the draft-ietf-ippm-owdp-reqs-02.txt recommends  separate protocols for the control and the test. I consider that the draft-ietf-ippm-owdp-04.txt should be splitted to garanty that the OWAMP-Control defined in draft-ietf-ippm-owdp-04.txt may be implemented without the OWAMP-Test protocol described in draft-ietf-ippm-owdp-04.txt in a way to measure the performance of the Type-Ps not permitted by the OWAMP-Test used as a packet.

OWAMP-Test used a block of measurement fields is at the base of draft format proposed in draft-stephan-ippm-test-packet-00.txt is:
    0                   1                   2                   3 
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
    |              Tx Timestamp Integer part of seconds             | 
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
    |    Tx Timestamp Fractional part of seconds            | Prec  | 
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
    |           Sequence Number     | Pro |Type |Ver|S| Protocol Id | 
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 

The resolution is ~ 1/4 nanosecond. Prec defines the number of bits (per range of 2)trusted in the fractional part of the second of the timestamp.
'Pro' defines the number of blocks of 8 bytes used for proprietary purposes.
'Type' defines the set of standard extensions for OWAMP-control and IPPM REPORTING MIB security checks, inegrity check, round trip delay...

Is the sequence number large enough ?

discussion regarding the ietf-ippm-owdp-04.txt:

A precision <= to the second should set the bit S to 0. the Precision field may only describes the number of bits in the fractional part of seconds of the timestamp "that the party generating timestamp believes to be correct".

It is ambiguous to set the bit S if "there is no notion of external synchronization for the time source (e.g., a cesium oscillator is used directly)". Synchronization refers to a common reference that another party may use too. 

regards
emile

> -----Message d'origine-----
> De : Matthew J Zekauskas [mailto:[email-masked]]
> Envoyé : jeudi 18 juillet 2002 07:48
> À : Emile Stephan; Henk Uijterwaal (RIPE-NCC)
> Cc : STEPHAN Emile FTRD/DAC/LAN; [email-masked]; stanislav shalunov;
> Merike Kaeo; Matthew J Zekauskas
> Objet : Re: minutes of IPPM in Yokohama
> 
> 
> Thanks for your comments.  The timestamp (and your ideas about
> packet formats) is a discussion that should be on the list.
> 
> Do you think any of the text in the minutes is wrong?
> 
> As to packet formats... the idea (I believe) is to have a single
> required standardized format (so implementations can
> interoperate).. but cooperating entities could have other formats.
> I'm not sure you can standardize them all -- there are an infinite
> number of valid Type-Ps.  Stanislav will no doubt comment more
> cogently on the topic, since he's been actively working on owamp
> development.  I haven't recently... so I need to re-read the
> current draft in detail.
> 
> --Matt
> 
> --On Thursday, July 18, 2002 7:39 AM +0200 Emile Stephan 
> <[email-masked]> wrote:
> 
> >  Hi Matt,
> >
> > regarding the timestamp definition i proposed,
> > actually it try to mixes a SMIv2 TEXTUAL CONVENTION
> > which describe a UTC time (with local time offset) and
> > NTP timestamp. That will be review taking in account
> > the remark of Andy regarding the timefilter use.
> >
> > Regarding the accuracy of the timestamp, there is a
> > need to a very precise timestamp for measuring per hop
> > delay or ipdv of multigigabit path. I will make aother
> > proposal that will take in account the measurement
> > packet timestamp. I notice that the OWDP timestamp
> > format has changed too. So this point is an open
> > issue.
> >
> > Owdp proposes only one fixed packet test format. That
> > point must be reconsidered. E.G.: It should be
> > inserted in an RTP SDU to permit undetectable VoIp
> > test packets. This effort may be done aside of OWDP.
> >
> > PS: having the OID of the metric encoded on less than
> > 8 bytes is useful for non SNMP control protocol.
> >
> > regards
> > Emile
> >
> >
> >
> >
> >
> > regards
> >
> >  --- Matthew J Zekauskas <[email-masked]> a
> > écrit : > A new version (-01) with Henk's comment and
> > a bunch
> >> of text
> >> editing by Merike (improving my english) included is
> >> now on
> >> the web site.  (
> >> http://www.advanced.org/IPPM/Meetings/ietf54/ )
> >>
> >> --Matt
> >
> > ___________________________________________________________
> > Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
> > Yahoo! Mail : http://fr.mail.yahoo.com
> >
> >
> 
> 
> 

_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm